;-------------------------------------------------------------------------------
; VID TO H.264/AVC
; (Also requires the ffmpeg package)
;-------------------------------------------------------------------------------
[action]
active          =true
name            =转换为 H.264/AVC
acceptFormat    =AVI,FLV,MPG,MPEG,WMV
acceptMulti     =true
acceptSingle    =true
outputTo        =out
commandLine     =""~Var:ThisDir~\exe\x264" --profile baseline --ref 1 --subme 5 --no-mixed-refs --trellis 0 --keyint 40 --no-interlaced ~Gui:Select(选择大小/分辨率,和源文件相同[],iPhone/Android[--vf resize:480\,320\,1:1])~ -o "out\~Loop:InFilename~.mp4" "~Loop:InFilename~""
commandLine2    =""~Var:ThisDir~\..\FFMpeg\exe\ffmpeg" -i "~Loop:InFilename~" -vn -acodec libfaac -f mp4 -ar 44100 -ac 2 -ab 128k -y "out\~Loop:InFilename~.aac""
commandLine3    =""~Var:ThisDir~\..\FFMpeg\exe\ffmpeg" -i "out\~Loop:InFilename~.mp4" -i "out\~Loop:InFilename~.aac" -vcodec copy -acodec copy -y "out\~Loop:InNameNoExt~.mp4""
commandLine4    =">del "out\~Loop:InFilename~.mp4","out\~Loop:InFilename~.aac""
debug           =false
